## python-traits 5.2.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  texinfo   to make Texinfo files"
	@echo "  info      to make Texinfo files and run them through makeinfo"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  docset    to make a docset for use with the Dash/Zeal api browsers"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/traits.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/traits.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

docset:
	BUILD_DOCSET=1 $(SPHINXBUILD) -b html -c source/ $(ALLSPHINXOPTS) $(BUILDDIR)/docset_html
	@echo "Creating docset with doc2dash"
	doc2dash -f -d $(BUILDDIR) -i $(BUILDDIR)/docset_html/_static/e-logo-rev.png -n Traits $(BUILDDIR)/docset_html
	@echo "Traits docset is available in $(BUILDDIR)/Traits.docset"

## python-traits 3.4.0

=== debian/changelog ===
python-traits (3.4.0-2) unstable; urgency=low

  * debian/control:
    - Bump XS-Python-Version: >=2.5 (Closes: #589975)
    - Move python-enthoughtbase from Depends to Recommends
    - Bump Standards-Version to 3.9.1
  * debian/copyright:
    - Remove reference to BSD license file

 -- Varun Hiremath <varun@debian.org>  Fri, 30 Jul 2010 02:21:26 -0400

python-traits (3.4.0-1) unstable; urgency=low

  * New upstream release

 -- Varun Hiremath <varun@debian.org>  Thu, 03 Jun 2010 01:52:55 -0400

python-traits (3.3.0-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - removed Ondrej from Uploaders: thanks for your work!

  [ Varun Hiremath ]
  * New upstream release
  * Switch to source format 3.0
  * Bump dh compat to 7
  * Bump Standards-Version to 3.8.4
  * Remove transition package python-enthought-traits

 -- Varun Hiremath <varun@debian.org>  Sun, 28 Feb 2010 13:37:07 -0500

python-traits (3.2.0-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.8.2

 -- Varun Hiremath <varun@debian.org>  Mon, 20 Jul 2009 19:37:05 -0400

python-traits (3.1.0-1) unstable; urgency=low

  * New usptream release

 -- Varun Hiremath <varun@debian.org>  Thu, 26 Mar 2009 19:30:43 -0400

python-traits (3.0.3-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Varun Hiremath ]
  * New upstream release
  * debian/control: add python-setupdocs to Build-Depends

 -- Varun Hiremath <varun@debian.org>  Sun, 28 Dec 2008 22:31:01 -0500

python-traits (3.0.2-1) experimental; urgency=low

  * New upstream release
  * Rename the package to match upstream naming conventions
  * Update debian/watch and debian/orig-tar.sh files

 -- Varun Hiremath <varun@debian.org>  Sun, 26 Oct 2008 00:51:32 -0400

enthought-traits (2.0.5-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.8.0

 -- Varun Hiremath <varun@debian.org>  Fri, 11 Jul 2008 20:02:42 +0530

enthought-traits (2.0.4-2) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - added versioned build-dep on python-central (>= 0.6)
  * debian/rules
    - fixed due to new python-central directories format (Closes: #472045)

  [ Varun Hiremath ]
  * Make some more fixes in debian/rules

 -- Varun Hiremath <varun@debian.org>  Sun, 23 Mar 2008 10:50:52 +0530

enthought-traits (2.0.4-1) unstable; urgency=low

  * New upstream release

 -- Varun Hiremath <varun@debian.org>  Mon, 10 Mar 2008 12:56:13 +0530

enthought-traits (2.0.3-1) unstable; urgency=low

  * New upstream release
  * Add ${shlibs:Depends}, ${misc:Depends} to Depends

 -- Varun Hiremath <varun@debian.org>  Sat, 01 Mar 2008 21:43:37 +0530

enthought-traits (2.0.1b1-2) unstable; urgency=low

  [ Varun Hiremath ]
  * Initial release (Closes: #459349)
  * Rename the source and binary packages.
  * debian/rules:
    + add clean target
    + install using setup files.
  * Install examples and docs.
  * Add debain/orig-tar.sh script to create orig.tar.gz
  * Update debian/copyright file
  * Add debian/README.Debian-source file

  [ Sandro Tosi ]
  * debian/control
    - removed /svn/ from Vcs-Svn
    - added op=log to Vcs-Browser

 -- Varun Hiremath <varun@debian.org>  Tue, 08 Jan 2008 00:02:31 +0530

traits (2.0.1b1-1) UNRELEASED; urgency=low

  [ Ondrej Certik ]
  * First unnofficial package revision

  [ Sandro Tosi ]
  * debian/watch
    - fixed directory parsing for version number

 -- Sandro Tosi <matrixhasu@gmail.com>  Thu, 22 Nov 2007 00:51:01 +0100

=== debian/control ===
Source: python-traits
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>
Build-Depends: cdbs, debhelper (>= 7), python-all-dev, python-central (>= 0.6), python-setupdocs
Standards-Version: 3.9.1
Homepage: http://pypi.python.org/pypi/Traits
XS-Python-Version: >=2.5
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-traits/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-traits/trunk/

Package: python-traits
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends} 
Recommends: python-enthoughtbase
Conflicts: python-enthought-traits
Replaces: python-enthought-traits
Suggests: python-traitsgui
XB-Python-Version: ${python:Versions}
Description: Manifest typing and reactive programming for Python
 The traits package provides a metaclass with special attributes that
 are called traits. A trait is a type definition that can be used for
 normal Python object attributes, giving the attributes some
 additional characteristics:
  * Initialization: A trait attribute can have a default value
  * Validation: A trait attribute is manifestly typed.
  * Delegation: The value of a trait attribute can be contained in another
    object
  * Notification: Setting the value of a trait attribute can fired
    callbacks
  * Visualization: With the TraitsUI package, GUIs can be generated
    automatically from traited objects.

=== debian/watch ===
version=3
opts="uversionmangle=s/([ab])/~$1/,dversionmangle=s/\+.*//" \
http://enthought.com/repo/ets/Traits-(.*).tar.gz \
debian debian/orig-tar.sh

## python-traits 4.0.0

=== debian/changelog ===
python-traits (4.0.0-1build1) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:12:40 +0000

python-traits (4.0.0-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.2
  * Update debian/watch file

 -- Varun Hiremath <varun@debian.org>  Fri, 08 Jul 2011 17:14:58 -0400

python-traits (3.6.0-2) unstable; urgency=low

  * d/rules: fix pyshared directory path (Closes: #621117)

 -- Varun Hiremath <varun@debian.org>  Wed, 06 Apr 2011 19:14:21 -0400

python-traits (3.6.0-1) unstable; urgency=low

  * New upstream release
  * Convert to dh_python2 (Closes: #617037)

 -- Varun Hiremath <varun@debian.org>  Wed, 06 Apr 2011 00:05:26 -0400

python-traits (3.5.0-1) experimental; urgency=low

  * New upstream release

 -- Varun Hiremath <varun@debian.org>  Sun, 17 Oct 2010 21:57:56 -0400

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_COMPRESS_EXCLUDE		:= .py
DEB_PYTHON_INSTALL_ARGS_ALL 	+= --single-version-externally-managed
DEB_DESTDIR			 = $(CURDIR)/debian/python-traits
PYSHARED			 = $(DEB_DESTDIR)/usr/share/pyshared

binary-predeb/python-traits::
	find $(PYSHARED) -type f | xargs sed -i '/^#!/d'
	find $(PYSHARED) -type f | xargs chmod 644

get-orig-source:
	-uscan --upstream-version 0 --rename

=== debian/watch ===
version=3
opts="uversionmangle=s/([ab])/~$1/,dversionmangle=s/\+.*//" \
http://enthought.com/repo/ets/traits-(.*).tar.gz \
debian debian/orig-tar.sh

## python-traits 4.1.0

=== debian/changelog ===
python-traits (4.1.0-1ubuntu4) trusty; urgency=medium

  * Let the binary-predeb target work on the usr/lib/python* directory as we
    don't have usr/share/pyshared anymore.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Feb 2014 15:35:35 +0100

python-traits (4.1.0-1ubuntu3) raring; urgency=low

  * No change rebuild for Python issue #17703, trashcan mechanism segfault 
    during interpreter finalization

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Apr 2013 23:52:33 +0200

python-traits (4.1.0-1ubuntu2) quantal; urgency=low

  * Undo changes from -1ubuntu1 as the reason for them got reverted.
    The package can be synced on next occasion.

 -- Michael Bienia <geser@ubuntu.com>  Mon, 01 Oct 2012 18:21:26 +0200

python-traits (4.1.0-1ubuntu1) quantal; urgency=low

  * debian/rules:
    Let the binary-predeb target work on the usr/lib/python* directory as we
    don't have usr/share/pyshared anymore.

 -- Michael Bienia <geser@ubuntu.com>  Sun, 20 May 2012 13:09:45 +0200

python-traits (4.1.0-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.3

 -- Varun Hiremath <varun@debian.org>  Mon, 23 Apr 2012 15:40:31 -0400

=== debian/control ===
Source: python-traits
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>
Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 7), python-all-dev (>= 2.6.6-3~), python-setupdocs
Standards-Version: 3.9.3
Homepage: http://pypi.python.org/pypi/traits
X-Python-Version: >=2.5
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-traits/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-traits/trunk/

Package: python-traits
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Suggests: python-traitsui
Description: Manifest typing and reactive programming for Python
 The traits package provides a metaclass with special attributes that
 are called traits. A trait is a type definition that can be used for
 normal Python object attributes, giving the attributes some
 additional characteristics:
  * Initialization: A trait attribute can have a default value
  * Validation: A trait attribute is manifestly typed.
  * Delegation: The value of a trait attribute can be contained in another
    object
  * Notification: Setting the value of a trait attribute can fired
    callbacks
  * Visualization: With the TraitsUI package, GUIs can be generated
    automatically from traited objects.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_COMPRESS_EXCLUDE		:= .py
DEB_PYTHON_INSTALL_ARGS_ALL 	+= --single-version-externally-managed
DEB_DESTDIR			 = $(CURDIR)/debian/python-traits
PYSHARED			 = $(DEB_DESTDIR)/usr/lib/python2.?/*-packages

binary-predeb/python-traits::
	find $(PYSHARED) -type f | xargs sed -i '/^#!/d'
	find $(PYSHARED) -type f | xargs chmod 644

get-orig-source:
	-uscan --force-download --rename

=== debian/watch ===
version=3
opts="uversionmangle=s/([ab])/~$1/,dversionmangle=s/\+.*//" \
http://pypi.python.org/pypi/traits .*traits-(.*).tar.gz \
debian debian/orig-tar.sh

## python-traits 4.4.0

=== debian/changelog ===
python-traits (4.4.0-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Varun Hiremath ]
  * New upstream release
  * d/rules: Remove reference to pyshared (Closes: #673638)
  * Bump Standards-Version to 3.9.5

 -- Varun Hiremath <varun@debian.org>  Sat, 15 Mar 2014 23:48:58 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: python-traits
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Varun Hiremath <varun@debian.org>
 Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 7), python-all-dev (>= 2.6.6-3~), python-setupdocs
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://pypi.python.org/pypi/traits
 X-Python-Version: >=2.5
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-traits/trunk
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-traits/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-traits/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-traits/trunk/
 
 Package: python-traits
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_COMPRESS_EXCLUDE		:= .py
DEB_PYTHON_INSTALL_ARGS_ALL 	+= --single-version-externally-managed

get-orig-source:
	-uscan --force-download --rename

## python-traits 4.5.0

=== debian/changelog ===
python-traits (4.5.0-1ubuntu2) xenial; urgency=medium

  * Skip one failing test on armhf and ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Apr 2016 15:01:34 +0200

python-traits (4.5.0-1build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jan 2016 20:57:30 +0000

python-traits (4.5.0-1) unstable; urgency=low

  [ Jean-Christophe Jaskula ]
  * New upstream release
  * Building python3 package
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * Dropped cdbs in favor of dh-* and pybuild
  * debian/patches/
    - remove_testing_dependencies_class.patch: Remove unused, undocumented
      ImportManager and ImportSpy classes, needed for python23 compatibility
      (from upstream)
    - py3_sort_fix.patch: Fix TraitListObject.sort for Python 3, along with
      tests. (from upstream)
    - invalid_tokens_fix.patch: Fix the trait_documenter machinery. (upstream)

 -- Varun Hiremath <varun@debian.org>  Sun, 16 Aug 2015 20:39:49 -0400

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,19 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Varun Hiremath <varun@debian.org>
-Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 7), python-all-dev (>= 2.6.6-3~), python-setupdocs
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9),
+		dh-python,
+		python-all (>= 2.6.6-3~),
+		python-all-dev (>= 2.6.6-3~),
+		python-setuptools,
+		python3-all,
+		python3-all-dev,
+		python-sphinx | python3-sphinx,
+		python3-setuptools
+Standards-Version: 3.9.6
 Homepage: http://pypi.python.org/pypi/traits
-X-Python-Version: >=2.5
+X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.2
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-traits/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-traits/trunk/
 
@@ -14,7 +23,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
 Suggests: python-traitsui
-Description: Manifest typing and reactive programming for Python
+Description: Manifest typing and reactive programming for Python (Python 2)
  The traits package provides a metaclass with special attributes that
  are called traits. A trait is a type definition that can be used for
  normal Python object attributes, giving the attributes some
@@ -27,3 +36,26 @@
     callbacks
   * Visualization: With the TraitsUI package, GUIs can be generated
     automatically from traited objects.
+ .
+ This is the Python 2 version of the package.
+
+
+Package: python3-traits
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
+Description: Manifest typing and reactive programming for Python (Python 3)
+ The traits package provides a metaclass with special attributes that
+ are called traits. A trait is a type definition that can be used for
+ normal Python object attributes, giving the attributes some
+ additional characteristics:
+  * Initialization: A trait attribute can have a default value
+  * Validation: A trait attribute is manifestly typed.
+  * Delegation: The value of a trait attribute can be contained in another
+    object
+  * Notification: Setting the value of a trait attribute can fired
+    callbacks
+  * Visualization: With the TraitsUI package, GUIs can be generated
+    automatically from traited objects.
+ .
+ This is the Python 3 version of the package.
+

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=traits

# Install egg-info directories
DEB_PYTHON_INSTALL_ARGS_ALL += --single-version-externally-managed

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_compress:
	dh_compress -X.py

get-orig-source:
	-uscan --force-download --rename

## python-traits 4.6.0

=== debian/changelog ===
python-traits (4.6.0-1ubuntu2) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 04 Aug 2017 18:56:49 +1200

python-traits (4.6.0-1ubuntu1) artful; urgency=medium

  * Add d/patches/disable-flaky-regression-tests.diff to disable some flaky tests.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 16 May 2017 13:26:29 +1200

python-traits (4.6.0-1build1) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 12 May 2017 14:55:25 +1200

python-traits (4.6.0-1) unstable; urgency=medium

  * New upstream release (Closes: #830377)
  * debian/patches:
    - all removed; merged upstream
    - add disable_test.diff to disable failing unittests

 -- Varun Hiremath <varun@debian.org>  Thu, 24 Nov 2016 01:07:10 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-traits
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Varun Hiremath <varun@debian.org>
 Build-Depends: debhelper (>= 9),
 		dh-python,

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,10 @@
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
 
+override_dh_clean:
+	dh_clean
+	rm -f traits/_version.py
+
 override_dh_compress:
 	dh_compress -X.py

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
https://github.com/enthought/traits/tags .*/archive/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## python-traits 5.2.0

=== debian/changelog ===
python-traits (5.2.0-2build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:24:33 +0100

python-traits (5.2.0-2) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #938223

 -- Sandro Tosi <morph@debian.org>  Sun, 15 Dec 2019 17:29:30 -0500

python-traits (5.2.0-1) unstable; urgency=medium

  [ Scott Talbert ]
  * Team Upload.
  * Update to new upstream release 5.2.0
  * d/patches: Remove upstreamed patches
  * d/source/options: Ignore changes to traits/version.py
  * d/control: Add mock to Build-Depends for running tests
  * d/control: Update Standards-Version to 4.4.1
  * d/control: Update debhelper-compat level to 12
  * Remove references to sphinx as it was not being used

  [ Ondřej Nový ]
  * Fixed homepage (https)
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

 -- Scott Talbert <swt@techie.net>  Tue, 03 Dec 2019 23:59:06 -0500

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=traits

# Install egg-info directories
DEB_PYTHON_INSTALL_ARGS_ALL += --single-version-externally-managed

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_compress:
	dh_compress -X.py

get-orig-source:
	-uscan --force-download --rename

## python-traits 6.3.2

=== docs/Makefile ===
--- 
+++ 
@@ -107,5 +107,5 @@
 docset:
 	BUILD_DOCSET=1 $(SPHINXBUILD) -b html -c source/ $(ALLSPHINXOPTS) $(BUILDDIR)/docset_html
 	@echo "Creating docset with doc2dash"
-	doc2dash -f -d $(BUILDDIR) -i $(BUILDDIR)/docset_html/_static/e-logo-rev.png -n Traits $(BUILDDIR)/docset_html
+	doc2dash -f -d $(BUILDDIR) -i $(BUILDDIR)/docset_html/_static/img/e-logo.png -n Traits $(BUILDDIR)/docset_html
 	@echo "Traits docset is available in $(BUILDDIR)/Traits.docset"

=== debian/changelog ===
python-traits (6.3.2-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 20:08:20 +0000

python-traits (6.3.2-1) unstable; urgency=low

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump debhelper from old 12 to 13.
    Closes: #671802

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * watch file standard 4 (routine-update), filenamemangle option
  * traits/version.py is not shipped any more with upstream source
    Closes: #671112
  * d/rules: drop useless get-orig-source target
  * Ignore test which fails for unknown reasons for the moment

 -- Andreas Tille <tille@debian.org>  Tue, 08 Feb 2022 10:39:59 +0100

=== debian/control ===
Source: python-traits
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>
Build-Depends: debhelper-compat (= 13),
		dh-python,
		python3-all,
		python3-all-dev,
		python3-mock,
		python3-setuptools
Standards-Version: 4.6.0
Homepage: https://pypi.python.org/pypi/traits
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/python-traits.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-traits

Package: python3-traits
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: Manifest typing and reactive programming for Python (Python 3)
 The traits package provides a metaclass with special attributes that
 are called traits. A trait is a type definition that can be used for
 normal Python object attributes, giving the attributes some
 additional characteristics:
  * Initialization: A trait attribute can have a default value
  * Validation: A trait attribute is manifestly typed.
  * Delegation: The value of a trait attribute can be contained in another
    object
  * Notification: Setting the value of a trait attribute can fired
    callbacks
  * Visualization: With the TraitsUI package, GUIs can be generated
    automatically from traited objects.
 .
 This is the Python 3 version of the package.

## python-traits 6.4.3

=== debian/changelog ===
python-traits (6.4.3-2build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 14:14:48 +0000

python-traits (6.4.3-2build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 05 Mar 2025 00:33:17 +0000

python-traits (6.4.3-2build1) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 10:02:30 +0100

python-traits (6.4.3-2) unstable; urgency=medium

  * Team upload.
  * Fix build failure with Python 3.13 (closes: #1081478).
  * Use pybuild-plugin-pyproject.
  * Update Homepage to https://github.com/enthought/traits.

 -- Colin Watson <cjwatson@debian.org>  Thu, 12 Sep 2024 11:16:25 +0100

python-traits (6.4.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.4.3
  * refresh patch
  * add build-dep on xvfb, alike python-traitsui

  [ Debian Janitor ]
  * Update standards version to 4.6.2, no changes needed.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 21 Feb 2024 14:04:45 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,14 @@
 Uploaders: Varun Hiremath <varun@debian.org>
 Build-Depends: debhelper-compat (= 13),
 		dh-python,
+		pybuild-plugin-pyproject,
 		python3-all,
 		python3-all-dev,
-		python3-mock,
-		python3-setuptools
-Standards-Version: 4.6.0
-Homepage: https://pypi.python.org/pypi/traits
+		python3-setuptools,
+		xvfb <!nocheck>,
+		xauth <!nocheck>,
+Standards-Version: 4.6.2
+Homepage: https://github.com/enthought/traits
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-traits.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-traits

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=traits

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -f traits/version.py

override_dh_compress:
	dh_compress -X.py

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	xvfb-run -a dh_auto_test
endif

=== debian/watch ===
version=4
opts="uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/enthought/traits/tags .*/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
